import datetime

from personal_data.parse_util import parse_date, parse_time


def test_parse_tme():
    assert parse_time('06 Apr 2024 06:11:42 PM')
    assert parse_time('26 Mar 2024 7:07:01 PM')


def test_parse_date():
    assert parse_date('6 April 2024') == datetime.date(2024, 4, 6)
    assert parse_date('April 6, 2024') == datetime.date(2024, 4, 6)
    assert parse_date('Apr 6, 2024') == datetime.date(2024, 4, 6)
